package com.ubsidifinance.model

data class BillingInfoState(
    val firstLineAddress: String = "",
    val apartment: String = "",
    val city: String = "",
    val posCode: String = "",
)

sealed class BillingInfoUiState {
    data class OnFirstLineAddressChange(val text: String) : BillingInfoUiState()
    data class OnApartmentChange(val text: String) : BillingInfoUiState()
    data class OnCityChange(val text: String) : BillingInfoUiState()
    data class OnPostCodeChange(val text: String) : BillingInfoUiState()
}