package com.ubsidifinance.model

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class UserModel(
    @SerialName("archived_payout_method")
    val archivedPayoutMethod: String? = "", // Cash
    @SerialName("archived_payout_mode")
    val archivedPayoutMode: String? = "", // Manual
    @SerialName("bank_detail_id")
    val bankDetailId: String? = "", // null
    @SerialName("city")
    val city: String? = "", // WALSALL
    @SerialName("commission_type")
    val commissionType: String? = "", // percentage
    @SerialName("contact_emails")
    val contactEmails: String? = "", // poasd@yopmail.com
    @SerialName("contact_numbers")
    val contactNumbers: String? = "", // 1234567890
    @SerialName("contact_type")
    val contactType: String? = "", // mobile
    @SerialName("country")
    val country: Country? = Country(),
    @SerialName("country_id")
    val countryId: Int? = 0, // 3
    @SerialName("door_no")
    val doorNo: String? = "", // null
    @SerialName("first_name")
    val firstName: String? = "", // Poasd & silsila
    @SerialName("id")
    val id: Int? = 0, // 1
    @SerialName("image")
    val image: String = "", // null
    @SerialName("image_url")
    val imageUrl: String = "", // null
    @SerialName("last_name")
    val lastName: String = "", // null
    @SerialName("login_email")
    val loginEmail: String? = "", // poasd@yopmail.com
    @SerialName("payout_method")
    val payoutMethod: String? = "", // Cash
    @SerialName("payout_mode")
    val payoutMode: String? = "", // Manual
    @SerialName("postcode")
    val postcode: String? = "", // WS13RB
    @SerialName("residential_address")
    val residentialAddress: String? = "", // Caldmore Road
    @SerialName("selected_business")
    val selectedBusiness: SelectedBusiness? = SelectedBusiness(),
    @SerialName("state")
    val state: String? = "", // West Midlands
    @SerialName("thumb_url")
    val thumbUrl: String = "" // null
)

@Serializable
data class SelectedBusiness(
    @SerialName("account_status")
    val accountStatus: String? = "", // pending
    @SerialName("admin_password")
    val adminPassword: String? = "", // 1234567890
    @SerialName("balance")
    val balance: Float? = 0f, // 0
    @SerialName("connect_service")
    val connectService: Boolean? = false, // true
    @SerialName("country")
    val country: Country? = Country(),
    @SerialName("default_bank")
    val defaultBank: DefaultBank? = DefaultBank(),
    @SerialName("finance_user_id")
    val financeUserId: String = "", // null
    @SerialName("finance_user_phone_number")
    val financeUserPhoneNumber: String = "", // null
    @SerialName("id")
    val id: Int? = 0, // 1
    @SerialName("image_url")
    val imageUrl: String = "", // null
    @SerialName("issuing_service")
    val issuingService: Boolean? = false, // true
    @SerialName("name")
    val name: String? = "", // Poasd & silsila
    @SerialName("s_account_id")
    val sAccountId: String? = "", // acct_1R7FMJFTz5odkcMp
    @SerialName("statement_description")
    val statementDescription: String? = "", // Poasd & silsila L
    @SerialName("statement_descriptor")
    val statementDescriptor: String? = "", // Poasd & silsila L
    @SerialName("stripe_mode")
    val stripeMode: String? = "", // Live
    @SerialName("stripe_private_key_live")
    val stripePrivateKeyLive: String? = "", // null
    @SerialName("stripe_private_key_test")
    val stripePrivateKeyTest: String? = "", // null
    @SerialName("stripe_public_key_live")
    val stripePublicKeyLive: String? = "", // null
    @SerialName("stripe_public_key_test")
    val stripePublicKeyTest: String? = "", // null
    @SerialName("supervisor_password")
    val supervisorPassword: String? = "", // 12345678
    @SerialName("thumb_url")
    val thumbUrl: String = "", // null
    @SerialName("type")
    val type: String? = "" // Sole trader
)

@Serializable
data class DefaultBank(
    @SerialName("account_holder_name")
    val accountHolderName: String? = "", // Poasd & silsila
    @SerialName("account_holder_type")
    val accountHolderType: String? = "", // individual
    @SerialName("account_number")
    val accountNumber: String? = "", // 2345
    @SerialName("business_id")
    val businessId: Int? = 0, // 1
    @SerialName("connect_account_id")
    val connectAccountId: Int? = 0, // 1
    @SerialName("country")
    val country: String? = "", // GB
    @SerialName("currency")
    val currency: String? = "", // gbp
    @SerialName("description")
    val description: String? = "",
    @SerialName("id")
    val id: Int? = 0, // 1
    @SerialName("payable_amount")
    val payableAmount: Double? = 0.0, // 0.0
    @SerialName("routing_number")
    val routingNumber: String? = "", // 10-88-00
    @SerialName("s_account_id")
    val sAccountId: String? = "", // acct_1R7FMJFTz5odkcMp
    @SerialName("s_bank_account_id")
    val sBankAccountId: String? = "", // ba_1R7FMJFTz5odkcMpaCSLxyo4
)

@Serializable
data class Country(
    @SerialName("currency_code")
    val currencyCode: String? = "", // GBP
    @SerialName("currency_symbol")
    val currencySymbol: String? = "", // £
    @SerialName("id")
    val id: Int? = 0, // 3
    @SerialName("image")
    val image: String = "", // null
    @SerialName("name")
    val name: String? = "", // United Kingdom
    @SerialName("phone_code")
    val phoneCode: String? = "" // 44
)