package com.ubsidifinance.model.state

data class BusinessInfoState(
    val nameOrNumber: String = "",
    val doorNumber: String = "",
    val postcode: String = "",
    var address: String = "",
)

sealed class BusinessInfoUiState {
    data class OnNameValueChange(val text: String) : BusinessInfoUiState()
    data class OnDoorNumberValueChange(val text: String) : BusinessInfoUiState()
    data class OnPostcodeValueChange(val text: String) : BusinessInfoUiState()
    data class OnAddressValueChange(val text: String) : BusinessInfoUiState()
    data object OnSubmitClick : BusinessInfoUiState()
}