package com.ubsidifinance.model.state

data class CardSettingState(
    val isOnlineLimit: Boolean = false,
    val isGambling: Boolean = false,
    val isInternationalPayment: Boolean = false,
    val limitAmount: String = "",
    val limitDuration: String = "Every Week"
)

sealed class CardSettingUiState {
    data class OnOnlineLimitChange(val isChecked: Boolean) : CardSettingUiState()
    data class OnOnlineLimitTextChange(val text: String) : CardSettingUiState()
    data class OnOnlineLimitDurationChange(val text: String) : CardSettingUiState()
    data class OnGamblingChange(val isChecked: Boolean) : CardSettingUiState()
    data class OnInternationalPaymentChange(val isChecked: Boolean) : CardSettingUiState()
}