package com.ubsidifinance.model.state

data class ContactInfoState(
    val firstName: String = "",
    val lastName: String = "",
    val email: String = "",
    val phoneNumber: String = "",
    val dateOfBirth: String = "",
)

sealed class ContactInfoUiState {
    data class OnFirstNameValueChange(val text: String) : ContactInfoUiState()
    data class OnLastNameValueChange(val text: String) : ContactInfoUiState()
    data class OnEmailValueChange(val text: String) : ContactInfoUiState()
    data class OnPhoneNumberValueChange(val text: String) : ContactInfoUiState()
    data class OnDateOfBirthValueChange(val text: String) : ContactInfoUiState()
}