package com.ubsidifinance.model.state

data class DirectorInfoState(
    val name: String = "",
    val dob: String = "",
    val postcode: String = "",
    val address: String = "",
    val isShowDatePicker: Boolean = false
)

sealed class DirectorInfoUiState {
    data class OnNameValueChange(val text: String) : DirectorInfoUiState()
    data class OnDobValueChange(val text: String) : DirectorInfoUiState()
    data class OnPostcodeValueChange(val text: String) : DirectorInfoUiState()
    data class OnAddressValueChange(val text: String) : DirectorInfoUiState()
    data class OnDatePickerDialog(val isShow: Boolean) : DirectorInfoUiState()
}