package com.ubsidifinance.model.state

import com.ubsidifinance.model.CountryModel

data class MobileNumberState(
    val mobileNo: String = "",
    val countrySearch: String = "",
    val error: String = "",
    val showCountryPicker: Boolean = false,
    val isError: Boolean = false,
    val selectedCountry: CountryModel = CountryModel(),
    val countryList: List<CountryModel> = listOf(),
    val filterCountryList: List<CountryModel> = listOf()
)

sealed class MobileNumberUiState {
    data class OnNumberChange(val mobile: String) : MobileNumberUiState()
    data class OnCountryValueChange(val text: String) : MobileNumberUiState()
    data class OnShowCountryDialog(val isShow: Boolean) : MobileNumberUiState()
    data class OnChangeSelectedCountry(val countryModel: CountryModel) : MobileNumberUiState()
    data class OnCloseDialog(val mobileNo: String= "") : MobileNumberUiState()
    data class OnError(val isError: Boolean, val title: String = "Error", val error: String = "") :
        MobileNumberUiState()
}