package com.ubsidifinance.model.state

data class RecipientState(
    val accountType: String = "",
    val fullName: String = "",
    val sortCode: String = "",
    val accountNumber: String = "",
    val isCheckAccount: Boolean = false,
    val isEnableButton: Boolean = false,
)

sealed class RecipientUiState {

    data class OnAccountTypeChange(val text: String) : RecipientUiState()
    data class OnCheckAccountChange(val isShow: Boolean) : RecipientUiState()
    data class OnNameChange(val text: String) : RecipientUiState()
    data class OnSortCodeChange(val text: String) : RecipientUiState()
    data class OnAccountNoChange(val text: String) : RecipientUiState()

}