package com.ubsidifinance.model.state

import com.ubsidifinance.R
import com.ubsidifinance.model.OnboardingModel
import com.ubsidifinance.model.RadioButtonModel

data class TransactionFilterState(
    val listOfTransactionType: List<String> = listOf(),
    val listOfDateRange: List<RadioButtonModel> = listOf(),
    val selectedTransactionIndex: Int = 0,
    val minTransaction: String = "",
    val maxTransaction: String = "",
    val isShowDatePicker: Boolean = false,
    val isShowCategoryDialog: Boolean = false,
    val selectedCategory: OnboardingModel = OnboardingModel(
        image = R.drawable.ic_coins,
        title = "Incoming Money"
    ),
    val isDateRange: Boolean = false,
    val isFromDate: Boolean = false,
    val dateFrom: String = "",
    val dateTo: String = "",
)

sealed class TransactionFilterUiState {
    data class OnMinTransactionChange(val text: String) : TransactionFilterUiState()
    data class OnMaxTransactionChange(val text: String) : TransactionFilterUiState()
    data class OnSelectedIndexChange(val index: Int) : TransactionFilterUiState()
    data class OnSelectedDateRangChange(val model: RadioButtonModel) : TransactionFilterUiState()
    data class OnDatePicker(val isShow: Boolean, val isFromDate: Boolean = false) :
        TransactionFilterUiState()

    data class OnDateChange(val date: String, val isFromDate: Boolean) : TransactionFilterUiState()
    data class OnCategoryDialog(val isShow: Boolean) : TransactionFilterUiState()
    data class OnCategoryChange(val model: OnboardingModel) : TransactionFilterUiState()
}