package com.ubsidifinance.model.state

import com.ubsidifinance.model.AccountModel

data class TransferState(
    val accountModel: AccountModel = AccountModel(),
    val amount: String = "",
    val reference: String = ""
)

sealed class TransferUiState {

    data class OnAmountChange(val text: String) : TransferUiState()
    data class OnReferenceChange(val text: String) : TransferUiState()
    data class OnAccountModelChange(val model: AccountModel) : TransferUiState()

}