package com.ubsidifinance.model.state

data class VerifyMobileState(
    val timer: String = "00:30",
    val password: String = "",
    val confirmPassword: String = "",
    val isTimerRunning: Boolean = false,
    val isVisiblePassword: Boolean = false,
    val isVisibleConfirmPassword: Boolean = false,
    val isEnableButton: Boolean = false
)

sealed class VerifyMobileUiState {
    data object OnTimerStart : VerifyMobileUiState()
    data class OnButtonEnable(val isEnable: Boolean) : VerifyMobileUiState()
    data object OnPasswordVisibilityChange : VerifyMobileUiState()
    data class OnPasswordChange(val text: String) : VerifyMobileUiState()
    data class OnConfirmPasswordChange(val text: String) : VerifyMobileUiState()
    data object OnConfirmPasswordVisibilityChange : VerifyMobileUiState()
}