package com.ubsidifinance.navigation

import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.navigation.NavController
import androidx.navigation.NavHostController
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.toRoute
import com.ubsidifinance.ui.card.CardScreen
import com.ubsidifinance.ui.home_page.HomePageScreen
import com.ubsidifinance.ui.transaction.TransactionScreen

@Composable
fun BottomNavigationHost(
    navController: NavController,
    oldGraphNavController: NavController,
    modifier: Modifier = Modifier
) {
    NavHost(
        modifier = modifier,
        navController = navController as NavHostController,
        startDestination = Home
    ) {
        composable<Home> {
            HomePageScreen(
                navController = navController,
                oldGraphNavController = oldGraphNavController
            )
        }

        composable<Transactions> {
            val model = it.toRoute<Transactions>()
            TransactionScreen(
                navController = navController,
                oldGraphNavController = oldGraphNavController,
                transactions = model
            )
        }

        composable<CardNavigation> {
            CardScreen(
                navController = navController,
                oldNavController = oldGraphNavController
            )
        }

        composable<Profile> {
            Text(text = "Profile")
        }
    }
}