package com.ubsidifinance.network

import com.ubsidifinance.model.UserModel
import retrofit2.Response
import retrofit2.http.Field
import retrofit2.http.FormUrlEncoded
import retrofit2.http.POST
import retrofit2.http.Path

interface ApiService {

    @FormUrlEncoded
    @POST("epos/login")
    suspend fun callLoginApi(
        @Field("username") userName: String,
        @Field("password") password: String,
        @Field("request_for") requestFor: String = "admin",
    ): Response<UserModel>

    @POST("api/users/forget-password")
    @FormUrlEncoded
    suspend fun sendOtp(
        @Field("login_email") loginEmail: String,
    ): Response<UserModel>
}