package com.ubsidifinance.network

import okhttp3.Interceptor
import okhttp3.Response
import java.io.IOException
import javax.inject.Inject

class ConnectivityInterceptor @Inject constructor(
    private val wifiService: WifiService
) : Interceptor {
    override fun intercept(chain: Interceptor.Chain): Response {
        if (!wifiService.isOnline()) {
            throw IOException("No internet connection")
        } else {
            return chain.proceed(chain.request())
        }
    }
}
