package com.ubsidifinance.network.data_source

import com.ubsidifinance.model.UserModel
import com.ubsidifinance.network.ApiService
import jakarta.inject.Inject
import retrofit2.Response

class RemoteDataSource @Inject constructor(private val apiService: ApiService) {

    suspend fun executeLogin(userName: String, password: String): Response<UserModel> =
        apiService.callLoginApi(userName = userName, password = password)

    suspend fun sendOtp(
        loginEmail: String
    ): Response<UserModel> =
        apiService.sendOtp(loginEmail)
}