package com.ubsidifinance.network.repo

import com.ubsidifinance.base.ApiResult
import com.ubsidifinance.base.safeApiFlow
import com.ubsidifinance.model.UserModel
import com.ubsidifinance.network.data_source.RemoteDataSource
import jakarta.inject.Inject
import kotlinx.coroutines.flow.Flow

class AuthRepo @Inject constructor(private val dataSource: RemoteDataSource) {

    fun executeLogin(userName: String, password: String): Flow<ApiResult<UserModel>> =
        safeApiFlow {
            dataSource.executeLogin(userName = userName, password = password)
        }

    fun sendOtp(
        loginEmail: String
    ): Flow<ApiResult<UserModel>> =
        safeApiFlow {
            dataSource.sendOtp(loginEmail)
        }

}