package com.ubsidifinance.ui.billing_info

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.model.BillingInfoState
import com.ubsidifinance.model.BillingInfoUiState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class BillingInfoViewmodel @Inject constructor() : ViewModel() {

    private val _uiState = mutableStateOf(BillingInfoState())
    val uiEvent = _uiState

    fun onEvent(event: BillingInfoUiState) {
        when (event) {

            is BillingInfoUiState.OnApartmentChange -> {
                _uiState.value = _uiState.value.copy(apartment = event.text)
            }

            is BillingInfoUiState.OnCityChange -> {
                _uiState.value = _uiState.value.copy(city = event.text)
            }

            is BillingInfoUiState.OnFirstLineAddressChange -> {
                _uiState.value = _uiState.value.copy(firstLineAddress = event.text)
            }

            is BillingInfoUiState.OnPostCodeChange -> {
                _uiState.value = _uiState.value.copy(posCode = event.text)
            }
        }
    }
}