package com.ubsidifinance.ui.card_history

import androidx.compose.foundation.clickable
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.foundation.shape.CircleShape
import androidx.compose.material3.Icon
import androidx.compose.material3.MaterialTheme
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.draw.clip
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.font.Font
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavController
import com.ubsidifinance.R
import com.ubsidifinance.component.TextComponent
import com.ubsidifinance.utils.isResume

@Composable
fun CardHistoryScreen(
    modifier: Modifier = Modifier,
    navController: NavController
) {

    Box(
        modifier
            .fillMaxWidth()
            .height(48.dp), contentAlignment = Alignment.CenterStart
    ) {

        Icon(
            painter = painterResource(R.drawable.ic_back_arrow),
            contentDescription = null,
            modifier = Modifier
                .clip(CircleShape)
                .clickable(onClick = {
                    if (navController.isResume()) {
                        navController.popBackStack()
                    }
                })
                .size(24.dp)
                .padding(5.dp),
            tint = MaterialTheme.colorScheme.inversePrimary
        )

        TextComponent(
            text = "History",
            modifier = modifier.align(Alignment.Center),
            color = MaterialTheme.colorScheme.inversePrimary,
            fontSize = 22.sp,
            fontFamily = FontFamily(
                Font(R.font.inter_bold, FontWeight.W600)
            )
        )

        Icon(
            painter = painterResource(R.drawable.ic_download),
            contentDescription = null,
            modifier = Modifier
                .align(Alignment.CenterEnd)
                .clip(CircleShape)
                .clickable(onClick = {

                })
                .size(24.dp)
                .padding(5.dp),
            tint = MaterialTheme.colorScheme.inversePrimary
        )
    }

}