package com.ubsidifinance.ui.card_setting

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.model.state.CardSettingState
import com.ubsidifinance.model.state.CardSettingUiState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class CardSettingViewmodel @Inject constructor() : ViewModel() {

    private val _uiState = mutableStateOf(CardSettingState())
    val uiEvent = _uiState

    fun onEvent(event: CardSettingUiState) {
        when (event) {

            is CardSettingUiState.OnGamblingChange -> {
                _uiState.value = _uiState.value.copy(isGambling = event.isChecked)
            }

            is CardSettingUiState.OnInternationalPaymentChange -> {
                _uiState.value = _uiState.value.copy(isInternationalPayment = event.isChecked)
            }

            is CardSettingUiState.OnOnlineLimitChange -> {
                _uiState.value = _uiState.value.copy(isOnlineLimit = event.isChecked)
            }

            is CardSettingUiState.OnOnlineLimitDurationChange -> {
                _uiState.value = _uiState.value.copy(limitDuration = event.text)
            }

            is CardSettingUiState.OnOnlineLimitTextChange -> {
                _uiState.value = _uiState.value.copy(limitAmount = event.text)
            }
        }
    }

}