package com.ubsidifinance.ui.contact_info

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.model.state.ContactInfoState
import com.ubsidifinance.model.state.ContactInfoUiState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class ContactInfoViewmodel @Inject constructor() : ViewModel() {

    private val _uiState = mutableStateOf(ContactInfoState())
    val uiEvent = _uiState

    fun onEvent(event: ContactInfoUiState) {
        when (event) {

            is ContactInfoUiState.OnDateOfBirthValueChange -> {
                _uiState.value = _uiState.value.copy(dateOfBirth = event.text)
            }

            is ContactInfoUiState.OnEmailValueChange -> {
                _uiState.value = _uiState.value.copy(email = event.text)
            }

            is ContactInfoUiState.OnFirstNameValueChange -> {
                _uiState.value = _uiState.value.copy(firstName = event.text)
            }

            is ContactInfoUiState.OnLastNameValueChange -> {
                _uiState.value = _uiState.value.copy(lastName = event.text)
            }

            is ContactInfoUiState.OnPhoneNumberValueChange -> {
                _uiState.value = _uiState.value.copy(phoneNumber = event.text)
            }
        }
    }
}