package com.ubsidifinance.ui.forgot_password

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.model.state.ForgotPasswordState
import com.ubsidifinance.model.state.ForgotPasswordUiState
import com.ubsidifinance.model.state.LoginState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class ForgotPasswordViewModel @Inject constructor() : ViewModel() {

    private val _uiState = mutableStateOf(ForgotPasswordState())
    val uiEvent = _uiState

    fun onEvent(event: ForgotPasswordUiState) {

        when (event) {

            is ForgotPasswordUiState.ButtonEnable -> {
                _uiState.value = _uiState.value.copy(isEnableButton = event.isEnable)
            }

            is ForgotPasswordUiState.OnEmailChange -> {
                _uiState.value = _uiState.value.copy(emailText = event.text)
            }
        }

    }


}