package com.ubsidifinance.ui.home_page

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.R
import com.ubsidifinance.model.CardDetailModel
import com.ubsidifinance.model.TransactionList
import com.ubsidifinance.model.TransactionModel
import com.ubsidifinance.model.state.HomePageState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject
import kotlin.random.Random

@HiltViewModel
class HomePageViewmodel @Inject constructor() : ViewModel() {

    private val _uiState = mutableStateOf(HomePageState())
    val uiEvent = _uiState

    init {
        _uiState.value = _uiState.value.copy(
            listOfCard = getCardList(),
            listOfTransaction = getTransactionList()
        )
    }

    fun onEvent() {

    }

    fun getCardList(): List<CardDetailModel> {
        val list = arrayListOf<CardDetailModel>()

        list.add(
            CardDetailModel(
                id = 1,
                name = "Sachin Patel",
                cardNumber = "**** **** **** 7723",
                expiry = "05/27"
            )
        )

        list.add(
            CardDetailModel(
                id = 2,
                name = "Sachin",
                isLightCard = true,
                cardNumber = "**** **** **** 7724",
                expiry = "05/27"
            )
        )

        return list
    }

    fun getTransactionList(): List<TransactionModel> {
        val list = arrayListOf<TransactionModel>()
        val subList = arrayListOf<TransactionList>()

        repeat(3) {
            subList.add(
                TransactionList(
                    it,
                    transactionName = "HSBC $it",
                    transactionDetail = "Payment for invoice #12345.",
                    image = R.drawable.img_hsbc_bank_logo,
                    amount = 100f,
                    isCredit = Random.nextBoolean()
                )
            )
        }

        list.add(
            TransactionModel(
                date = "Today",
                listOfTransaction = subList
            )
        )

        list.add(
            TransactionModel(
                date = "Tomorrow",
                listOfTransaction = subList
            )
        )

        list.add(
            TransactionModel(
                date = "16 May 2024",
                listOfTransaction = subList
            )
        )

        return list
    }

}