package com.ubsidifinance.ui.notification

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.model.NotificationModel
import com.ubsidifinance.model.state.NotificationState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class NotificationViewmodel @Inject constructor() : ViewModel() {

    private val _uiState = mutableStateOf(NotificationState())
    val uiEvent = _uiState

    init {
        _uiState.value = _uiState.value.copy(listOfNotification = getNotificationList())

    }

    private fun getNotificationList(): List<NotificationModel> {
        val list = arrayListOf<NotificationModel>()
        repeat (6){
            list.add(
                NotificationModel(
                    1,
                    "\uD83D\uDE45 Avoid scams with these 3 ways!",
                    "As more scams have occurred over the past few weeks, we have a few tips for avoiding the most common scams! Don't be one of those who get scammed.",
                    "27 Jul"
                )
            )
        }

        return list
    }
}