package com.ubsidifinance.ui.pin

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.model.state.PinState
import com.ubsidifinance.model.state.PinUiState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class PinViewmodel @Inject constructor() : ViewModel() {

    private val _uiState = mutableStateOf(PinState())
    val uiEvent = _uiState

    fun onEvent(event: PinUiState) {
        when (event) {

            is PinUiState.OnDialClick -> {

                _uiState.value =
                    _uiState.value.copy(
                        pin = event.text,
                        isEnableButton = event.text.length == 6,
                    )
            }

            is PinUiState.OnButtonEnable -> {
                _uiState.value =
                    _uiState.value.copy(
                        isEnableConfirmButton = event.enable,
                    )
            }
        }
    }

}