package com.ubsidifinance.ui.register.business_info

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.model.state.BusinessInfoState
import com.ubsidifinance.model.state.BusinessInfoUiState
import com.ubsidifinance.model.state.BusinessTypeState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class BusinessInfoViewmodel @Inject constructor() : ViewModel() {

    private val _uiState = mutableStateOf(BusinessInfoState())
    val uiEvent = _uiState

    fun onEvent(event: BusinessInfoUiState) {

        when (event) {
            is BusinessInfoUiState.OnAddressValueChange -> {
                _uiState.value = _uiState.value.copy(address = event.text)
            }

            is BusinessInfoUiState.OnDoorNumberValueChange -> {
                _uiState.value = _uiState.value.copy(doorNumber = event.text)
            }

            is BusinessInfoUiState.OnNameValueChange -> {
                _uiState.value = _uiState.value.copy(nameOrNumber = event.text)
            }

            is BusinessInfoUiState.OnPostcodeValueChange -> {
                _uiState.value = _uiState.value.copy(postcode = event.text)
            }

            BusinessInfoUiState.OnSubmitClick -> {}
        }

    }

}