package com.ubsidifinance.ui.register.business_type

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.model.BusinessTypeModel
import com.ubsidifinance.model.state.BusinessTypeState
import com.ubsidifinance.model.state.BusinessTypeUiState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class BusinessTypeViewmodel @Inject constructor() : ViewModel() {

    private val _uiState = mutableStateOf(BusinessTypeState())
    val uiEvent = _uiState

    init {
        _uiState.value = _uiState.value.copy(list = getBusinessTypeList())

    }

    fun onEvent(event: BusinessTypeUiState) {
        when (event) {
            is BusinessTypeUiState.OnSelectBusinessChange -> {
                val list = _uiState.value.list
                val newList = list.map { it.copy(isSelected = it.id == event.businessTypeModel.id) }
                _uiState.value = _uiState.value.copy(newList)
            }
        }

    }

    fun getBusinessTypeList(): List<BusinessTypeModel> {
        val list = arrayListOf<BusinessTypeModel>()
        list.add(BusinessTypeModel(1, "Limited Company", true))
        list.add(BusinessTypeModel(2, "Sole Trader"))
        list.add(BusinessTypeModel(3, "Partnership"))
        return list
    }

}