package com.ubsidifinance.ui.register.capture_photo

import android.hardware.Camera
import androidx.camera.core.CameraSelector
import androidx.camera.core.ImageCapture
import androidx.compose.foundation.layout.Column
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import com.ubsidifinance.ui.register.capture_document.CameraPreviewView

@Composable
fun PickImageScreen(
    modifier: Modifier = Modifier,
    onCaptureImage: (ImageCapture) -> Unit
) {

    Column(
        modifier = modifier
    ) {
        CameraPreviewView(
            onUseCaseReady = onCaptureImage,
            cameraSelector = if (hasFrontCamera()) CameraSelector.DEFAULT_FRONT_CAMERA else CameraSelector.DEFAULT_BACK_CAMERA
        )
    }
}

@Suppress("DEPRECATION")
private fun hasFrontCamera(): Boolean {
    val numberOfCameras = Camera.getNumberOfCameras()
    val cameraInfo = Camera.CameraInfo()
    for (i in 0 until numberOfCameras) {
        Camera.getCameraInfo(i, cameraInfo)
        if (cameraInfo.facing == Camera.CameraInfo.CAMERA_FACING_FRONT) {
            return true
        }
    }
    return false
}
