package com.ubsidifinance.ui.register.commit

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.model.state.CommitState
import com.ubsidifinance.model.state.CommitUiState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class CommitViewModel @Inject constructor() : ViewModel() {

    private val _uiState = mutableStateOf(CommitState())
    val uiEvent = _uiState

    fun onEvent(event: CommitUiState) {

        when (event) {
            CommitUiState.OnPrivacyChecked -> {
                val isAccept = _uiState.value.isPrivacyAccept
                _uiState.value = _uiState.value.copy(isPrivacyAccept = !isAccept)
            }
        }

    }

}