package com.ubsidifinance.ui.register.director_info

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.model.state.DirectorInfoState
import com.ubsidifinance.model.state.DirectorInfoUiState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class DirectorInfoViewmodel @Inject constructor() : ViewModel() {

    private val _uiState = mutableStateOf(DirectorInfoState())
    val uiEvent = _uiState

    fun onEvent(event: DirectorInfoUiState) {
        when (event) {
            is DirectorInfoUiState.OnAddressValueChange -> {
                _uiState.value = _uiState.value.copy(address = event.text)
            }

            is DirectorInfoUiState.OnDobValueChange -> {
                _uiState.value = _uiState.value.copy(dob = event.text)
            }

            is DirectorInfoUiState.OnNameValueChange -> {
                _uiState.value = _uiState.value.copy(name = event.text)
            }

            is DirectorInfoUiState.OnPostcodeValueChange -> {
                _uiState.value = _uiState.value.copy(postcode = event.text)
            }

            is DirectorInfoUiState.OnDatePickerDialog -> {
                _uiState.value = _uiState.value.copy(isShowDatePicker = event.isShow)
            }
        }
    }
}