package com.ubsidifinance.ui.register.register_id

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.R
import com.ubsidifinance.model.OnboardingModel
import com.ubsidifinance.model.state.RegisterIdState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class RegisterIdViewmodel @Inject constructor() : ViewModel() {

    private val _uiState = mutableStateOf(RegisterIdState())
    val uiEvent = _uiState

    init {
        _uiState.value = _uiState.value.copy(list = getRequiredIdList())
    }


    fun getRequiredIdList(): List<OnboardingModel> {
        val list = arrayListOf<OnboardingModel>()

        list.add(
            OnboardingModel(
                1,
                title = "Keep your ID straight in the frame.",
                image = R.drawable.img_id
            )
        )

        list.add(
            OnboardingModel(
                2,
                title = "Avoid photos that are glarey, blurry, or unclear.",
                image = R.drawable.img_photo
            )
        )

        list.add(
            OnboardingModel(
                3,
                title = "Use official documents.",
                image = R.drawable.img_id_behind
            )
        )

        return list

    }
}