package com.ubsidifinance.ui.register.select_id

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.R
import com.ubsidifinance.model.OnboardingModel
import com.ubsidifinance.model.state.RegisterIdState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class SelectIdViewmodel @Inject constructor() : ViewModel() {

    private val _uiState = mutableStateOf(RegisterIdState())
    val uiEvent = _uiState

    init {
        _uiState.value = _uiState.value.copy(list = getSelectIdList())
    }

    private fun getSelectIdList(): List<OnboardingModel> {
        val list = arrayListOf<OnboardingModel>()

        list.add(
            OnboardingModel(
                1,
                title = "Passport",
                image = R.drawable.img_passport
            )
        )

        list.add(
            OnboardingModel(
                1,
                title = "UK Driving License",
                image = R.drawable.img_licence
            )
        )

        list.add(
            OnboardingModel(
                1,
                title = "National ID",
                image = R.drawable.img_national_id
            )
        )

        return list
    }

}