package com.ubsidifinance.ui.register.success_register

import androidx.compose.foundation.Image
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.material3.MaterialTheme
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.layout.ContentScale
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.text.style.TextAlign
import androidx.compose.ui.unit.dp
import androidx.navigation.NavHostController
import coil3.compose.AsyncImage
import com.ubsidifinance.R
import com.ubsidifinance.component.ButtonComponent
import com.ubsidifinance.component.DrawableGifView
import com.ubsidifinance.component.TextComponent
import com.ubsidifinance.model.RegisterModel
import com.ubsidifinance.navigation.Screens
import com.ubsidifinance.utils.isResume

@Composable
fun SuccessRegisterScreen(
    modifier: Modifier = Modifier,
    navController: NavHostController
) {

    DrawableGifView(
        resId = R.drawable.img_sucess_register,
        modifier = Modifier
            .fillMaxSize()
    )

    Column(
        modifier = modifier
            .fillMaxSize()
            .padding(horizontal = 24.dp)
            .padding(bottom = 24.dp)
    ) {

        Image(
            painter = painterResource(R.drawable.img_logo_with_ubsidi),
            contentDescription = "Logo",
            contentScale = ContentScale.FillHeight,
            modifier = modifier
                .align(Alignment.CenterHorizontally)
                .padding(top = 30.dp)
                .height(83.dp)
        )

        Column(
            modifier = modifier.weight(1f),
            horizontalAlignment = Alignment.CenterHorizontally,
            verticalArrangement = Arrangement.Center
        ) {
            Image(
                painter = painterResource(R.drawable.ic_success_register),
                contentDescription = ""
            )

            TextComponent(
                text = "Your account has been created!",
                style = MaterialTheme.typography.titleLarge.copy(
                    textAlign = TextAlign.Center,
                    color = MaterialTheme.colorScheme.inversePrimary
                )
            )

            TextComponent(
                modifier = modifier
                    .fillMaxWidth()
                    .padding(2.dp),
                text = "Press continue to get started",
                style = MaterialTheme.typography.labelSmall.copy(
                    textAlign = TextAlign.Center,
                    color = MaterialTheme.colorScheme.inverseOnSurface
                )
            )
        }

        ButtonComponent(
            text = "Continue",
            onClick = {
                if (navController.isResume()) {
                    navController.popBackStack()
                }
            }
        )


    }
}