package com.ubsidifinance.ui.transfer

import androidx.compose.runtime.mutableStateOf
import androidx.lifecycle.ViewModel
import com.ubsidifinance.model.state.CategoryState
import com.ubsidifinance.model.state.TransferState
import com.ubsidifinance.model.state.TransferUiState
import dagger.hilt.android.lifecycle.HiltViewModel
import javax.inject.Inject

@HiltViewModel
class TransferViewmodel @Inject constructor() : ViewModel() {
    private val _uiState = mutableStateOf(TransferState())
    val uiEvent = _uiState

    fun onEvent(event: TransferUiState) {
        when (event) {

            is TransferUiState.OnAccountModelChange -> {
                _uiState.value = _uiState.value.copy(accountModel = event.model)
            }

            is TransferUiState.OnAmountChange -> {
                _uiState.value = _uiState.value.copy(amount = event.text)
            }

            is TransferUiState.OnReferenceChange -> {
                _uiState.value = _uiState.value.copy(reference = event.text)

            }
        }
    }
}