package com.ubsidifinance.utils

import androidx.compose.foundation.isSystemInDarkTheme
import androidx.compose.material.ripple.RippleAlpha
import androidx.compose.material3.ExperimentalMaterial3Api
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.RippleConfiguration
import androidx.compose.runtime.Composable
import androidx.compose.ui.graphics.Color
import com.ubsidifinance.R
import com.ubsidifinance.model.OnboardingModel
import com.ubsidifinance.ui.theme.blue316AFF

const val verifyMobileScreen = "verify_mobile_screen"
const val businessTypeScreen = "business_type_screen"
const val businessInfoScreen = "business_info_screen"
const val directorInfoScreen = "director_info_screen"
const val fromForgetPasswordScreen = "from_forget_password_screen"
const val setNewPasswordScreen = "set_new_password_screen"
const val registerIdScreen = "register_id_screen"
const val selectIdScreen = "select_id_screen"
const val captureDocumentScreen = "capture_document_screen"
const val captureBackDocumentScreen = "capture_back_document_screen"
const val previewDocumentScreen = "preview_document_screen"
const val faceRecognizeScreen = "face_recognize_screen"
const val capturePhotoScreen = "capture_photo_screen"
const val verifyDocumentScreen = "verify_document_screen"
const val setUpPinScreen = "set_up_pin_screen"
const val confirmPinScreen = "confirm_pin_screen"
const val successRegisterScreen = "success_register_screen"

const val SearchTransferType = 0
const val TabTransferType = 1

const val mdy = "MM/dd/yyyy"
const val dmy = "dd-MM-yyyy"
const val dmmmy = "d MMM yyyy"

val listOfOnBoarding = listOf(
    OnboardingModel(
        1,
        "View all your payments, manage expenditure and see your weekly statistics in one place.",
        "Manage payments for your business \uD83D\uDCB0",
        R.drawable.img_manage_payments
    ), OnboardingModel(
        2,
        "Got business expenses? Easily collect VAT back by scanning your receipts.",
        "Reconcile business expenses \uD83E\uDD11",
        R.drawable.img_reconcile_business
    ), OnboardingModel(
        3,
        "Multiple needs also need a multiple cards to organize your expenses~",
        "Create multiple card for multiple needs \uD83D\uDCB3",
        R.drawable.img_create_card
    )
)

val constListOfMenu = listOf(
    OnboardingModel(
        1,
        "Direct Debits",
        image = R.drawable.ic_back_arrow,
        rotation = 120f
    ),
    OnboardingModel(
        2,
        "Users",
        image = R.drawable.ic_back_arrow,
        rotation = 300f
    ),
    OnboardingModel(
        3,
        "Standing Orders",
        image = R.drawable.ic_cash,
        rotation = 0f
    ),
    OnboardingModel(
        4,
        "Scheduled",
        image = R.drawable.ic_basket,
        rotation = 0f
    ),
    OnboardingModel(
        5,
        "Virtual Account",
        image = R.drawable.ic_cat_user,
        rotation = 0f
    ),
    OnboardingModel(
        6,
        "Bills",
        image = R.drawable.ic_receipt,
        rotation = 0f
    ),
    OnboardingModel(
        7,
        "e-Wallet",
        image = R.drawable.ic_wallet,
        rotation = 0f
    ),
    OnboardingModel(
        8,
        "Investment",
        image = R.drawable.ic_pig_money,
        rotation = 0f
    ),
)

const val privacyPolicy =
    "By checking this box, I confirm that I have read and agree to Ubsidi’s Personal Data Processing Regulations and the Terms and Conditions for account services."


@OptIn(ExperimentalMaterial3Api::class)
 val MyRippleConfiguration = RippleConfiguration(
    color = blue316AFF,
    rippleAlpha = RippleAlpha(
        draggedAlpha = 1f,
        focusedAlpha = 0f,
        hoveredAlpha = 1f,
        pressedAlpha = 1f
    )
)